<script setup lang="ts">
import { Button } from '@/components/ui/button'
import { useUserStore } from '@/stores/user'
import { useRouter } from 'vue-router'

const router = useRouter()

const user = useUserStore();

function goToApplication() {
    router.push('/apply') // change to your form route
}
</script>

<template>
    <div>
        <div v-if="user.state == 'guest'" class="flex flex-col items-center justify-center">
            <h1 class="text-4xl font-bold mb-4">Welcome to the 17th</h1>
            <p class="text-neutral-400 mb-8 max-w-md">
                To join our unit, please fill out an application to continue.
            </p>
            <Button @click="goToApplication" class="px-6 py-3 text-lg">
                Begin Application
            </Button>
        </div>
        <div v-else>
            HOMEPAGEEEEEEEEEEEEEEEEEEE
        </div>
    </div>
</template>
